Anyone running into issues launching Orion from th...
# prefect-community
a
Anyone running into issues launching Orion from the latest prefect 2.7.4 docker image? My container is crashing on with these logs (check thread for logs), thanks @User for pointing it out
👍 1
1
j
Hi Amruth. Sorry to hear that. Are you able to move your traceback to this thread please, to help keep the main channel tidy?
I just tested with the latest Docker image -
prefecthq/prefect:2.7.4-python3.10
- and was able to run a flow fine using
DockerContainer
- with Prefect Cloud. I see you’re trying to use Orion. I’m not familiar with that error.
z
Regarding the SQLAlchemy warning: Upgrading to the latest SA version will resolve it.
👍 2
That error is an issue with a database migration
Notably:
No such revision or branch ‘f7587d6c5776’
That database migration cannot be found. Are you connecting to an existing database?
a
Yes, I was trying to connect to an existing PostgreSQL DB
I’m very confused that it’d be “missing” here
a
I've no idea why it didn't work for me this morning, it seems to spin up just fine now.
Copy code
2022-12-23 12:47:33 
2022-12-23 12:47:33  ___ ___ ___ ___ ___ ___ _____    ___  ___ ___ ___  _  _
2022-12-23 12:47:33 | _ \ _ \ __| __| __/ __|_   _|  / _ \| _ \_ _/ _ \| \| |
2022-12-23 12:47:33 |  _/   / _|| _|| _| (__  | |   | (_) |   /| | (_) | .` |
2022-12-23 12:47:33 |_| |_|_\___|_| |___\___| |_|    \___/|_|_\___\___/|_|\_|
2022-12-23 12:47:33 
2022-12-23 12:47:33 Configure Prefect to communicate with the server with:
2022-12-23 12:47:33 
2022-12-23 12:47:33     prefect config set PREFECT_API_URL=<http://0.0.0.0:4200/api>
2022-12-23 12:47:33 
2022-12-23 12:47:33 View the API reference documentation at <http://0.0.0.0:4200/docs>
2022-12-23 12:47:33 
2022-12-23 12:47:33 Check out the dashboard at <http://0.0.0.0:4200>
2022-12-23 12:47:33 
2022-12-23 12:47:33 
2022-12-23 12:47:33 
2022-12-23 12:47:35 Traceback (most recent call last):
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/base.py", line 233, in _catch_revision_errors
2022-12-23 12:47:35     yield
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/base.py", line 443, in _upgrade_revs
2022-12-23 12:47:35     for script in reversed(list(revs))
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 799, in iterate_revisions
2022-12-23 12:47:35     revisions, heads = fn(
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 1454, in _collect_upgrade_revisions
2022-12-23 12:47:35     current_revisions = self.get_revisions(lower)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 527, in get_revisions
2022-12-23 12:47:35     return sum([self.get_revisions(id_elem) for id_elem in id_], ())
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 527, in <listcomp>
2022-12-23 12:47:35     return sum([self.get_revisions(id_elem) for id_elem in id_], ())
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 552, in get_revisions
2022-12-23 12:47:35     return tuple(
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 553, in <genexpr>
2022-12-23 12:47:35     self._revision_for_ident(rev_id, branch_label)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/revision.py", line 624, in _revision_for_ident
2022-12-23 12:47:35     raise ResolutionError(
2022-12-23 12:47:35 alembic.script.revision.ResolutionError: No such revision or branch 'f7587d6c5776'
2022-12-23 12:47:35 
2022-12-23 12:47:35 The above exception was the direct cause of the following exception:
2022-12-23 12:47:35 
2022-12-23 12:47:35 Traceback (most recent call last):
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/starlette/routing.py", line 671, in lifespan
2022-12-23 12:47:35     async with self.lifespan_context(app):
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/starlette/routing.py", line 566, in __aenter__
2022-12-23 12:47:35     await self._router.startup()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/starlette/routing.py", line 648, in startup
2022-12-23 12:47:35     await handler()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/api/server.py", line 345, in run_migrations
2022-12-23 12:47:35     await db.create_db()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/interface.py", line 55, in create_db
2022-12-23 12:47:35     await self.run_migrations_upgrade()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/interface.py", line 63, in run_migrations_upgrade
2022-12-23 12:47:35     await run_sync_in_worker_thread(alembic_upgrade)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/utilities/asyncutils.py", line 69, in run_sync_in_worker_thread
2022-12-23 12:47:35     return await anyio.to_thread.run_sync(call, cancellable=True)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/anyio/to_thread.py", line 31, in run_sync
2022-12-23 12:47:35     return await get_asynclib().run_sync_in_worker_thread(
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py", line 937, in run_sync_in_worker_thread
2022-12-23 12:47:35     return await future
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py", line 867, in run
2022-12-23 12:47:35     result = context.run(func, *args)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/alembic_commands.py", line 24, in wrapper
2022-12-23 12:47:35     return fn(*args, **kwargs)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/alembic_commands.py", line 53, in alembic_upgrade
2022-12-23 12:47:35     alembic.command.upgrade(alembic_config(), revision, sql=dry_run)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/command.py", line 322, in upgrade
2022-12-23 12:47:35     script.run_env()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/base.py", line 569, in run_env
2022-12-23 12:47:35     util.load_python_file(self.dir, "env.py")
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/util/pyfiles.py", line 94, in load_python_file
2022-12-23 12:47:35     module = load_module_py(module_id, path)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/util/pyfiles.py", line 110, in load_module_py
2022-12-23 12:47:35     spec.loader.exec_module(module)  # type: ignore
2022-12-23 12:47:35   File "<frozen importlib._bootstrap_external>", line 883, in exec_module
2022-12-23 12:47:35   File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/migrations/env.py", line 147, in <module>
2022-12-23 12:47:35     apply_migrations()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/utilities/asyncutils.py", line 201, in coroutine_wrapper
2022-12-23 12:47:35     return run_async_from_worker_thread(async_fn, *args, **kwargs)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/utilities/asyncutils.py", line 152, in run_async_from_worker_thread
2022-12-23 12:47:35     return anyio.from_thread.run(call)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/anyio/from_thread.py", line 49, in run
2022-12-23 12:47:35     return asynclib.run_async_from_thread(func, *args)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py", line 970, in run_async_from_thread
2022-12-23 12:47:35     return f.result()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/concurrent/futures/_base.py", line 458, in result
2022-12-23 12:47:35     return self.__get_result()
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/concurrent/futures/_base.py", line 403, in __get_result
2022-12-23 12:47:35     raise self._exception
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/migrations/env.py", line 141, in apply_migrations
2022-12-23 12:47:35     await connection.run_sync(do_run_migrations)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/ext/asyncio/engine.py", line 548, in run_sync
2022-12-23 12:47:35     return await greenlet_spawn(fn, conn, *arg, **kw)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/_concurrency_py3k.py", line 128, in greenlet_spawn
2022-12-23 12:47:35     result = context.switch(value)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/prefect/orion/database/migrations/env.py", line 129, in do_run_migrations
2022-12-23 12:47:35     context.run_migrations()
2022-12-23 12:47:35   File "<string>", line 8, in run_migrations
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/runtime/environment.py", line 853, in run_migrations
2022-12-23 12:47:35     self.get_context().run_migrations(**kw)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/runtime/migration.py", line 611, in run_migrations
2022-12-23 12:47:35     for step in self._migrations_fn(heads, self):
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/command.py", line 311, in upgrade
2022-12-23 12:47:35     return script._upgrade_revs(revision, rev)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/base.py", line 431, in _upgrade_revs
2022-12-23 12:47:35     with self._catch_revision_errors(
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/contextlib.py", line 153, in __exit__
2022-12-23 12:47:35     self.gen.throw(typ, value, traceback)
2022-12-23 12:47:35   File "/usr/local/lib/python3.10/site-packages/alembic/script/base.py", line 265, in _catch_revision_errors
2022-12-23 12:47:35     raise util.CommandError(resolution) from re
2022-12-23 12:47:35 alembic.util.exc.CommandError: Can't locate revision identified by 'f7587d6c5776'
2022-12-23 12:47:35 
2022-12-23 12:47:35 Application startup failed. Exiting.
2022-12-23 12:47:36 Orion stopped!
Logs while trying to launch Prefect Orion on local Ubuntu terminal with 2.7.4 -
Copy code
___ ___ ___ ___ ___ ___ _____    ___  ___ ___ ___  _  _
| _ \ _ \ __| __| __/ __|_   _|  / _ \| _ \_ _/ _ \| \| |
|  _/   / _|| _|| _| (__  | |   | (_) |   /| | (_) | .` |
|_| |_|_\___|_| |___\___| |_|    \___/|_|_\___\___/|_|\_|

Configure Prefect to communicate with the server with:

    prefect config set PREFECT_API_URL=<http://127.0.0.1:4200/api>

View the API reference documentation at <http://127.0.0.1:4200/docs>

Check out the dashboard at <http://127.0.0.1:4200>



/usr/lib/python3.10/contextlib.py:142: SAWarning: Skipped unsupported reflection of expression-based index ix_flow_run__coalesce_start_time_expected_start_time_desc
  next(self.gen)
/usr/lib/python3.10/contextlib.py:142: SAWarning: Skipped unsupported reflection of expression-based index ix_flow_run__coalesce_start_time_expected_start_time_asc
  next(self.gen)